#!/bin/bash -eE
                  #// Content-Type: text/plain; charset=utf-8
                  #// -eE option is stop, when error was raised.
                  #// -x option is display commands one by one.


if [ -e "~/reset_env.sh" ]; then  source "~/reset_env.sh" > /dev/null  ;fi

g_WritableFolders=( "$PWD" )

#//(end of export)


function  Main_func()
{
  local  obj="g_InputCommandOpt"
  local  AppKey="$2" ; AppKeyClass.newWritable_method  "$AppKey"  "${g_WritableFolders[@]}"

  #//=== call InputCommand_func
  SetAttr_func  $obj  Class  "InputCommandOpt"
  SetAttr_func  $obj  Lead  "Menu - shorthand prompt"

  SetAttr_as_AssociativeArrayName_func  $obj  CommandReplace  \
    "1" "SampleA" \
    "2" "SampleB" \
  \
    "SampleA"  "SampleA_sth_func" \
    "SampleB"  "SampleB_sth_func" \

  SetAttr_as_AssociativeArrayName_func  $obj  MenuCaption  \
    "1" "SampleA [SampleA]" \
    "2" "SampleB [SampleB]" \

  InputCommand_func  $obj  ""  "$1"  "$AppKey"
}


if [ "${BASH_VERSINFO[0]}" -ge "4" ];then
  declare_AssociativeArrayClass="declare -A"
else
  declare_AssociativeArrayClass="declare"
fi

export  g_AssociativeArrayMaxLength=100
$declare_AssociativeArrayClass  g_InputCommandOpt


 
#//*********************************************************************
#// <<< [SampleA_sth_func] >>> 
#//*********************************************************************
function  SampleA_sth_func()
{
  Input_func  "Type any characters >"
  echo  "Input characters are \"$g_Ret\"."
}


 
#//*********************************************************************
#// <<< [SampleB_sth_func] >>>
#//*********************************************************************
function  SampleB_sth_func()
{
  Error_func  "Sample error"
}


 







#//--- start of bashlib include ------------------------------------------------------ 

#// <<< set up bashlib and call Main_func >>> 

#// bashlib is provided under 3-clause BSD license.
#// Copyright (C) 2011 Sofrware Design Gallery "Sage Plaisir 21" All Rights Reserved.

g_BashLibPath="scriptlib/bashlib_inc.sh"; g_Ver="1.0"
g_StartInPath=`pwd`; cd "`dirname "$BASH_SOURCE"`"; g_Arguments=( "$BASH_SOURCE" "$@" )
for (( i = 0; i < 20; i ++ ));do
  if [ -e "$g_BashLibPath" ];then break ;else  g_BashLibPath="../$g_BashLibPath" ;fi ;done
if [ "$i" == "20" ];then  echo "${g_BashLibPath##*../} is not found.
Download bashlib $g_Ver and copy scriptlib folder"; exit 1 ;fi
source  "$g_BashLibPath"  #// include
CallMain_func
#//--- end of bashlib include --------------------------------------------------------
 
